Index: /code/branches/resource/src/core/ConsoleCommandCompilation.cc
===================================================================
--- /code/branches/resource/src/core/ConsoleCommandCompilation.cc	(revision 3349)
+++ /code/branches/resource/src/core/ConsoleCommandCompilation.cc	(revision 3350)
@@ -94,9 +94,9 @@
         if (newline)
         {
-            COUT(0) << text << std::endl;
+            COUT(0) << stripEnclosingBraces(text) << std::endl;
         }
         else
         {
-            COUT(0) << text;
+            COUT(0) << stripEnclosingBraces(text);
         }
     }
Index: /code/branches/resource/src/core/TclBind.cc
===================================================================
--- /code/branches/resource/src/core/TclBind.cc	(revision 3349)
+++ /code/branches/resource/src/core/TclBind.cc	(revision 3350)
@@ -86,7 +86,8 @@
             try
             {
-                this->interpreter_->eval("proc query args { orxonox::query [join $args] }");
-                this->interpreter_->eval("proc crossquery {id args} { orxonox::crossquery 0 $id [join $args] }");
-                this->interpreter_->eval("proc crossexecute {id args} { orxonox::crossquery 0 $id [join $args] }");
+                this->interpreter_->eval("proc query        {args}    { orxonox::query $args }");
+                this->interpreter_->eval("proc crossquery   {id args} { orxonox::crossquery 0 $id $args }");
+                this->interpreter_->eval("proc crossexecute {id args} { orxonox::crossquery 0 $id $args }");
+                this->interpreter_->eval("proc running      {}        { return 1 }");
                 this->interpreter_->eval("set id 0");
                 this->interpreter_->eval("rename exit tcl::exit; proc exit {} { execute exit }");
@@ -105,5 +106,5 @@
         Tcl::interpreter* interpreter;
 #ifdef DEPENDENCY_PACKAGE_ENABLE
-        if (true)//Core::isDevelopmentRun())
+        if (Core::isDevelopmentRun())
             interpreter = new Tcl::interpreter(std::string(ORXONOX_DEP_LIB_PATH) + "/tcl");
         else
Index: /code/branches/resource/src/core/TclThreadManager.cc
===================================================================
--- /code/branches/resource/src/core/TclThreadManager.cc	(revision 3349)
+++ /code/branches/resource/src/core/TclThreadManager.cc	(revision 3350)
@@ -257,6 +257,7 @@
             newbundle->interpreter_->def("execute",      TclThreadManager::tcl_execute,      Tcl::variadic());
             newbundle->interpreter_->def("crossexecute", TclThreadManager::tcl_crossexecute, Tcl::variadic());
-            newbundle->interpreter_->eval("proc query       args     { orxonox::query " + id_string + " $args }");
+            newbundle->interpreter_->eval("proc query      {args}    { orxonox::query " + id_string + " $args }");
             newbundle->interpreter_->eval("proc crossquery {id args} { orxonox::crossquery " + id_string + " $id $args }");
+            newbundle->interpreter_->eval("proc running    {}        { return [orxonox::running " + id_string + "] }");
 
             // Define a variable containing the thread id
@@ -268,8 +269,8 @@
 
             // Redefine some native functions
-//            newbundle->interpreter_->eval("rename while tcl::while");
-//            newbundle->interpreter_->eval("proc while {test command} { tcl::while {[uplevel 1 expr $test]} {uplevel 1 $command} }"); // (\"$test\" && [orxonox::running " + id + "]])
-//            newbundle->interpreter_->eval("rename for tcl::for");
-//            newbundle->interpreter_->eval("proc for {start test next command} { uplevel tcl::for \"$start\" \"$test\" \"$next\" \"$command\" }");
+            newbundle->interpreter_->eval("rename while tcl::while");
+            newbundle->interpreter_->eval("rename orxonox::while while");
+            newbundle->interpreter_->eval("rename for tcl::for");
+            newbundle->interpreter_->eval("rename orxonox::for for");
         }
         catch (const Tcl::tcl_error& e)
@@ -296,4 +297,9 @@
         // TODO
         // Not yet implemented
+        TclInterpreterBundle* bundle = TclThreadManager::getInstance().getInterpreterBundle(id);
+        if (bundle)
+        {
+            bundle->bRunning_ = false;
+        }
     }
 
